Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.source.document
Class DocumentDescriptor

    java.lang.Object
      org.eclipse.ohf.ihe.xds.source.document.DocumentDescriptor

    public class DocumentDescriptor

extends java.lang.Object

Provides constants for type of Documents known by the Source

Version:
  $Revision: 1.3 $
Author:
  Sarah Knoop

Field Summary
`static DocumentDescriptor` | `CCR` CCR Document
`static DocumentDescriptor` | `CDA_R1` HL7 CDA R1 document
`static DocumentDescriptor` | `CDA_R2` HL7 CDA R2 document
`static DocumentDescriptor` | `DICOM` Document is DICOM
`static DocumentDescriptor` | `HL7_LAB` HL7 Lab document
`static DocumentDescriptor` | `PDF` Document is PDF
`static DocumentDescriptor` | `UNKNOWN` Document type is unknown
`static DocumentDescriptor` | `XDS_LAB` XDS-Lab Document
`static DocumentDescriptor` | `XDS_MS` XDS-MS Document
`static DocumentDescriptor` | `XDS_SD` XDS-SD Document
`static DocumentDescriptor` | `XML` Document is XML structured text

Constructor Summary
`DocumentDescriptor(java.lang.String format, java.lang.String mimeType)` Constructor used to form descriptor objects

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CDA_R2

    public static final DocumentDescriptor CDA_R2

  HL7 CDA R2 document

### XDS_MS

    public static final DocumentDescriptor XDS_MS

  XDS-MS Document

### XDS_LAB

    public static final DocumentDescriptor XDS_LAB

  XDS-Lab Document

### XDS_SD

    public static final DocumentDescriptor XDS_SD

  XDS-SD Document

### CDA_R1

    public static final DocumentDescriptor CDA_R1

  HL7 CDA R1 document

### CCR

    public static final DocumentDescriptor CCR

  CCR Document

### XML

    public static final DocumentDescriptor XML

  Document is XML structured text

### PDF

    public static final DocumentDescriptor PDF

  Document is PDF

### DICOM

    public static final DocumentDescriptor DICOM

  Document is DICOM

### HL7_LAB

    public static final DocumentDescriptor HL7_LAB

  HL7 Lab document

### UNKNOWN

    public static final DocumentDescriptor UNKNOWN

  Document type is unknown

Constructor Detail

### DocumentDescriptor

    public DocumentDescriptor(java.lang.String format,
                              java.lang.String mimeType)

  Constructor used to form descriptor objects

  Parameters:
    `format` -
    `mimeType` -

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getMimeType

    public java.lang.String getMimeType()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD